package com.yinet.system.mapper;

import com.yinet.system.domain.TouchScreenNotice;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 参数配置 数据层
 *
 * @author ruoyi
 */
public interface TouchScreenNoticeMapper {
    public List<TouchScreenNotice> selectNoticeList();

    public int insertNotice(@Param("touchScreenNotice") TouchScreenNotice touchScreenNotice);

    public TouchScreenNotice selectNoticeById(@Param("id") String id);

    public int updateNotice(@Param("touchScreenNotice") TouchScreenNotice touchScreenNotice);

    public int deletNotice(String[] ids);
    public  List<TouchScreenNotice> selectNoticeListLimit(Integer count);
}